summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authordbrgn2015-07-25 16:11:40 +0200
committerdbrgn2015-07-25 16:11:40 +0200
commita32e8a1460e23e2514e291ff1480c4113e182c78 (patch)
tree510c3db7a3724c1844ca3eaebb2bae09f5523a67
downloadaur-a32e8a1460e23e2514e291ff1480c4113e182c78.tar.gz
Initial import
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD29
-rw-r--r--brother-mfc-9330cdw.install12
3 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..91fb16332c8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = brother-mfc-9330cdw
+ pkgdesc = LPR and CUPS driver for the Brother MFC-9330CDW
+ pkgver = 1.1.2
+ pkgrel = 1
+ url = http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html
+ install = brother-mfc-9330cdw.install
+ arch = i686
+ arch = x86_64
+ license = unknown
+ depends = tcsh
+ depends = deb2targz
+ depends = perl
+ depends = a2ps
+ source = http://www.brother.com/pub/bsc/linux/dlf/mfc9330cdwlpr-1.1.2-1.i386.deb
+ source = http://www.brother.com/pub/bsc/linux/dlf/mfc9330cdwcupswrapper-1.1.2-1.i386.deb
+ sha256sums = d6af18bd4e33a2e01f6647cc1eb6d7f1b519bd9f32c525c0343e6883d66a0e04
+ sha256sums = 02d8c0fa2335e7903b51c94fcd049acc5a93cfe422e0e3f9762bb3e45148b68f
+
+pkgname = brother-mfc-9330cdw
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9ff0878f3dc
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+model="9330cdw"
+pkgname="brother-mfc-$model"
+pkgver="1.1.2"
+pkgrel=1
+_revision=1
+pkgdesc="LPR and CUPS driver for the Brother MFC-9330CDW"
+url="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html"
+arch=('i686' 'x86_64')
+license='unknown'
+install="brother-mfc-${model}.install"
+depends=('tcsh' 'deb2targz' 'perl' 'a2ps')
+source=("http://www.brother.com/pub/bsc/linux/dlf/mfc${model}lpr-${pkgver}-${_revision}.i386.deb"
+ "http://www.brother.com/pub/bsc/linux/dlf/mfc${model}cupswrapper-${pkgver}-${_revision}.i386.deb")
+sha256sums=('d6af18bd4e33a2e01f6647cc1eb6d7f1b519bd9f32c525c0343e6883d66a0e04'
+ '02d8c0fa2335e7903b51c94fcd049acc5a93cfe422e0e3f9762bb3e45148b68f')
+
+package() {
+ deb2targz *.deb >/dev/null || return 1
+ rm -f *.deb || return 1
+ cd $srcdir || return 1
+ [ -d "mfc${model}" ] || (mkdir mfc${model} || return 1)
+ for i in *.tar.gz;do tar xfz $i -C mfc${model};done || return 1
+ cd mfc${model} || return 1
+ cd opt/brother/Printers/mfc${model} || return 1
+ perl -i -pe 's#/etc/init.d#/etc/rc.d#g' ./cupswrapper/cupswrappermfc${model} || return 1
+ perl -i -pe 's#printcap\.local#printcap#g' $srcdir/mfc${model}/opt/brother/Printers/mfc${model}/inf/setupPrintcapij || return 1
+ cp -rf $srcdir/mfc${model}/usr/ $pkgdir/ || return 1
+ cp -rf $srcdir/mfc${model}/opt/ $pkgdir/ || return 1
+}
diff --git a/brother-mfc-9330cdw.install b/brother-mfc-9330cdw.install
new file mode 100644
index 00000000000..bd36a673f80
--- /dev/null
+++ b/brother-mfc-9330cdw.install
@@ -0,0 +1,12 @@
+post_install() {
+ post_upgrade;
+}
+
+post_upgrade() {
+ /opt/brother/Printers/mfc9330cdw/cupswrapper/cupswrappermfc9330cdw >/dev/null
+ if [ "$?" -eq 0 ]; then
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. The printer should be visible now via the CUPS-webinterface (http://localhost:631)\n"
+ else
+ printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
+ fi
+}